Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » New Install 2019.03 - no repository found(After fresh install, clicked check for updates, got no repositories found)
New Install 2019.03 - no repository found [message #1805916] Sat, 27 April 2019 23:06 Go to next message
David Invenio is currently offline David InvenioFriend
Messages: 5
Registered: November 2018
Junior Member
This is a fresh install (I manually removed everything from a prior version) on Win7.64 - downloaded from eclipse.org and installed ok. But after the install, update attempts failed (see my other post). After I cancelled thru those dialogs, and restarted Eclipse, I thought to try to kick off an "check updates" myself. I want to point out that I have a direct (wired) connection to the internet, no proxy, and a linux box is my firewall - so there's nothing stopping any traffic with this situation.

Here's the messages I got:

No repository found containing: osgi.bundle,org.apache.httpcomponents.httpclient.win,4.5.6.v20190213-1947
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.core,1.7.6.v20190415-1216
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.core.win32,1.7.6.v20190415-1216
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.help.ui,1.7.6.v20190415-1216
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.ui,1.7.6.v20190416-1746
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.ui.css,1.7.6.v20190415-1216
No repository found containing: org.eclipse.update.feature,org.eclipse.epp.mpc,1.7.6.v20190416-1746


And YES, I have done quite a bit of Googling and I've found and read a massive pile of posts about these problems - from years ago, and current. So it's obviously been an issue for quite some time.

I don't want to debate the issues - I just want to find a way to solve them so I can finish this Java project I've spent 18 months on! LOL Then it's back to Visual Studio and c# for me! LOL
Re: New Install 2019.03 - no repository found [message #1805918 is a reply to message #1805916] Sun, 28 April 2019 03:34 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30631
Registered: July 2009
Senior Member
As in your other post, there is little context about the nature of your workspace. As I mentioned, it sounds like it's a specialized workspace that contains setup tasks to work with a specific Eclipse project's source code. You can use Navigate -> Open Setup -> Workspace to see those tasks. If you double click on the "Workspace file:...", does the Properties view's Streams property show a list of references to various project setups? It seems that's likely the case. Those didn't end up there by themselves. You can use the cell editor for the Streams property to remove all these so that your workspace no longer tries to perform all the tasks specified by these projects.
Re: New Install 2019.03 - no repository found [message #1806028 is a reply to message #1805918] Tue, 30 April 2019 20:20 Go to previous messageGo to next message
Mark Reeder is currently offline Mark ReederFriend
Messages: 5
Registered: October 2017
Junior Member
I'm getting the same errors when attempting to update to the new "Marketplace Client 1.7.6.v20190416-1746"

my system info:
Eclipse IDE for C/C++ Developers
Version: 2019-03 (4.11.0)
Build id: 20190314-1200


Error info:
An error occurred while collecting items to be installed
session context was:(profile=C__mreede01_eclipse_cpp-latest-released_eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.apache.httpcomponents.httpclient.win,4.5.6.v20190213-1947
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.core,1.7.6.v20190415-1216
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.core.win32,1.7.6.v20190415-1216
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.help.ui,1.7.6.v20190415-1216
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.ui,1.7.6.v20190416-1746
No repository found containing: osgi.bundle,org.eclipse.epp.mpc.ui.css,1.7.6.v20190415-1216
No repository found containing: org.eclipse.update.feature,org.eclipse.epp.mpc,1.7.6.v20190416-1746
Re: New Install 2019.03 - no repository found [message #1806036 is a reply to message #1806028] Wed, 01 May 2019 07:39 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30631
Registered: July 2009
Senior Member
Which repositories are being used to try to resolve this post 2019-03 release version of market place client and why are you needing to update your marketplace client to a version that's newer than the released version already installed?
Re: New Install 2019.03 - no repository found [message #1806043 is a reply to message #1806036] Wed, 01 May 2019 12:32 Go to previous messageGo to next message
Mark Reeder is currently offline Mark ReederFriend
Messages: 5
Registered: October 2017
Junior Member
No particular reason, occasionally I'll do a "check for updates" just to keep up to date. That is when the system attempted to load the newer version.
Re: New Install 2019.03 - no repository found [message #1806044 is a reply to message #1806043] Wed, 01 May 2019 12:40 Go to previous messageGo to next message
Mark Reeder is currently offline Mark ReederFriend
Messages: 5
Registered: October 2017
Junior Member
Interesting just found that my available software sites had both Marketplace versions 1.7.5 and 1.7.6 in it and both were checked. I know that i didn't add either one of them...

http://download.eclipse.org/mpc/releases/1.7.5
http://download.eclipse.org/mpc/releases/1.7.6
Re: New Install 2019.03 - no repository found [message #1806045 is a reply to message #1806044] Wed, 01 May 2019 12:41 Go to previous messageGo to next message
Mark Reeder is currently offline Mark ReederFriend
Messages: 5
Registered: October 2017
Junior Member
I unchecked version 1.7.6 and it resolved the update/install issue.
Re: New Install 2019.03 - no repository found [message #1806062 is a reply to message #1806045] Thu, 02 May 2019 02:24 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30631
Registered: July 2009
Senior Member
Mark, I appreciate that you share the solution to your problem so that the next person can find such a thing.

This is kind of what I suspected, i.e., when you install something (an installable unit for a feature or bundle/plug-in) those things have the ability to add update sites to the installation profile's preferences such that "check for updates" can and will contact those sites.
Re: New Install 2019.03 - no repository found [message #1806083 is a reply to message #1806062] Thu, 02 May 2019 11:52 Go to previous messageGo to next message
Tauno Voipio is currently offline Tauno VoipioFriend
Messages: 509
Registered: August 2014
Senior Member
There is something fishy in updating the Marketplace Client from 1.7.5 to 1.7.6. The normal update procedure offers the new version but is unable to fetch it.

Starting the old Marketplace Client and waiting till it has filled the list of offered packages, the Client pops a dialog box offering an update to the Client, and it does work.


--

Tauno Voipio
Re: New Install 2019.03 - no repository found [message #1807215 is a reply to message #1806045] Fri, 24 May 2019 16:51 Go to previous messageGo to next message
Olivier Hurez-Martin is currently offline Olivier Hurez-MartinFriend
Messages: 1
Registered: May 2019
Junior Member
I ran into the same sort of problem with Eclipse Modeling Tools Version: 2019-03 (4.11.0) Build id: 20190314-1200. Replaced Marketplace Client update site v1.7.6 with 1.7.5 as per Mark's advice, and restored proper functionality.

Mark, Thank you for the solution!
Re: New Install 2019.03 - no repository found [message #1808577 is a reply to message #1807215] Thu, 27 June 2019 06:57 Go to previous message
Caner Kara is currently offline Caner KaraFriend
Messages: 1
Registered: June 2019
Junior Member
Had the same problem, but the solution seems not to be the best for me.
Instead of using 1.7.5 repo just changed the URL of 1.7.6 to this:

https://download.eclipse.org/mpc/releases/1.7.6

Using secure http was the trick ;-)

Seems to be a problem in the eclipse distribution and should be fixed from their site...
Previous Topic: Eclipse Community Forums
Next Topic:Increase Leshan Package size (5/0/0)
Goto Forum:
  


Current Time: Thu Nov 14 19:31:57 GMT 2019

Powered by FUDForum. Page generated in 0.03395 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top